## braceexpand 0.1.2

=== Makefile ===
README.rst: README.mkd
	pandoc --from=markdown --to=rst $< > $@

test:
	python braceexpand.py
	python test_braceexpand.py

.PHONY: test

=== debian/changelog ===
braceexpand (0.1.2-2) unstable; urgency=low

  * Make autopkgtest run the upstream unit tests.
  * Add debian/gbp.conf
  * Improve the package description.

 -- Edward Betts <edward@4angle.com>  Fri, 18 May 2018 17:44:10 +0200

braceexpand (0.1.2-1) unstable; urgency=low

  * Initial release. (Closes: #897989)

 -- Edward Betts <edward@4angle.com>  Sat, 05 May 2018 15:00:00 +0100

=== debian/control ===
Source: braceexpand
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools
Standards-Version: 4.1.4
Homepage: https://github.com/trendels/braceexpand
Vcs-Browser: https://salsa.debian.org/python-team/modules/braceexpand
Vcs-Git: https://salsa.debian.org/python-team/modules/braceexpand.git

Package: python3-braceexpand
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Bash-style brace expansion for Python
 Implements Brace Expansion as described in the bash documentation.
 .
 The braceexpand function returns an iterator over the expansions generated
 from a pattern.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=braceexpand
%:
	dh $@ --with python3 --buildsystem=pybuild

## braceexpand 0.1.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-README.rst: README.mkd
+README.rst: README.md
 	pandoc --from=markdown --to=rst $< > $@
 
 test:

=== debian/changelog ===
braceexpand (0.1.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Edward Betts ]
  * New upstream release.
  * Update Standards-Version.
  * Set Rules-Requires-Root to no.
  * Update debhelper-compat to 12.

 -- Edward Betts <edward@4angle.com>  Sun, 09 Feb 2020 09:08:53 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Uploaders: Edward Betts <edward@4angle.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://github.com/trendels/braceexpand
 Vcs-Browser: https://salsa.debian.org/python-team/modules/braceexpand
 Vcs-Git: https://salsa.debian.org/python-team/modules/braceexpand.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=braceexpand
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/braceexpand/braceexpand-(.+)\.tar\.gz

## braceexpand 0.1.6

=== debian/changelog ===
braceexpand (0.1.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Edward Betts ]
  * New upstream release.
  * Update debhelper-compat to 13.
  * Switch from dh --with python in debian/rules to a dh-sequence-python3
    Build-Depends.
  * Remove braceexpand.egg-info during clean target.

 -- Edward Betts <edward@4angle.com>  Sat, 31 Oct 2020 22:21:14 +0000

=== debian/control ===
Source: braceexpand
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-python,
               python3-all,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/trendels/braceexpand
Vcs-Browser: https://salsa.debian.org/python-team/packages/braceexpand
Vcs-Git: https://salsa.debian.org/python-team/packages/braceexpand.git

Package: python3-braceexpand
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Bash-style brace expansion for Python
 Implements Brace Expansion as described in the bash documentation.
 .
 The braceexpand function returns an iterator over the expansions generated
 from a pattern.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=braceexpand
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf braceexpand.egg-info

=== debian/tests/control ===
Test-Command: python3 test_braceexpand.py 2>&1

## braceexpand 0.1.7

=== Makefile ===
README.rst: README.md
	pandoc --from=markdown --to=rst $< > $@

init:
	pip install -e .

test:
	python src/braceexpand/__init__.py
	python test_braceexpand.py

.PHONY: test

=== debian/changelog ===
braceexpand (0.1.7-2) unstable; urgency=medium

  * Fix FTBFS when running tests. (Closes: #1002416)
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 24 Dec 2021 17:27:55 +0000

braceexpand (0.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Adjust debian/rules so tests get run during build.
  * Update copyright year.
  * Update debian/watch file format version.

 -- Edward Betts <edward@4angle.com>  Tue, 24 Aug 2021 13:13:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               dh-python,
                python3-all,
                python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/trendels/braceexpand
 Vcs-Browser: https://salsa.debian.org/python-team/packages/braceexpand
 Vcs-Git: https://salsa.debian.org/python-team/packages/braceexpand.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,18 @@
 %:
 	dh $@ --buildsystem=pybuild
 
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(eval BUILD_DIR=$(shell pybuild --print '{build_dir}'))
+	for dir in $(BUILD_DIR); do \
+		cp -r test_braceexpand.py $$dir ; \
+	done
+	dh_auto_test
+	for dir in $(BUILD_DIR); do \
+		rm $$dir/test_braceexpand.py ; \
+	done
+endif
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf braceexpand.egg-info

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/braceexpand/braceexpand-(.+)\.tar\.gz
